> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getEmployeeMiscellaneousStateTaxforPayroll

> 
The `getEmployeeMiscellaneousStateTaxforPayroll ` API retrieves the miscellaneous state tax fields that have previously been added to a user's record to be used in payroll processing.

### What it does:

- Retrieves the miscellaneous state tax information on a user-by-user basis to be added to payroll

### Note:

- Once retrieved these can be added to payroll for the specified user.




## OpenAPI

````yaml get /reports/getEmployeeMiscellaneousStateTaxforPayroll
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getEmployeeMiscellaneousStateTaxforPayroll:
    get:
      tags: []
      summary: getEmployeeMiscellaneousStateTaxforPayroll
      description: >

        The `getEmployeeMiscellaneousStateTaxforPayroll ` API retrieves the
        miscellaneous state tax fields that have previously been added to a
        user's record to be used in payroll processing.


        ### What it does:


        - Retrieves the miscellaneous state tax information on a user-by-user
        basis to be added to payroll


        ### Note:


        - Once retrieved these can be added to payroll for the specified user.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                employeeId:
                  type: string
              required:
                - method
                - companyId
                - employeeId
            example:
              method: getEmployeeMiscellaneousStateTaxforPayroll
              companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
              employeeId: 2F305A44-60EB-4B65-BACB-6E83FF2A49A6
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  miscellaneousStateTaxes:
                    type: object
                    properties:
                      stateCode:
                        type: string
                      taxName:
                        type: string
                      taxDetails:
                        type: object
                        properties:
                          riskClassName:
                            type: string
                          noOfHours:
                            type: string
                        required:
                          - riskClassName
                          - noOfHours
                    required:
                      - stateCode
                      - taxName
                      - taxDetails
                required:
                  - miscellaneousStateTaxes
              example:
                miscellaneousStateTaxes:
                  - stateCode: WA
                    taxName: Washington L&I
                    taxDetails:
                      - riskClassName: Electrician
                        noOfHours: 0
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                error:
                  code: 400
                  message: User ID is required
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````